# Uses of Class
org.apache.wiki.auth.authorize.Group

Packages that use Group
Package
Description
org.apache.wiki
The chief package of JSPWiki.
org.apache.wiki.auth.authorize
Authorizer implementation.

## Uses of Group in org.apache.wiki

Methods in org.apache.wiki with parameters of type Group
Modifier and Type
Method
Description
`protected boolean`
WikiSession.`isInGroup(Group group)`
Returns `true` if one of this WikiSession's user Principals can be shown to belong to a particular wiki group.

## Uses of Group in org.apache.wiki.auth.authorize

Methods in org.apache.wiki.auth.authorize that return Group
Modifier and Type
Method
Description
`Group`
DefaultGroupManager.`getGroup(String name)`
Returns the Group matching a given name.
`Group`
GroupManager.`getGroup(String name)`
Returns the Group matching a given name.
`Group[]`
GroupDatabase.`groups()`
Returns all wiki groups that are stored in the GroupDatabase as an array of Group objects.
`Group[]`
JDBCGroupDatabase.`groups()`
Returns all wiki groups that are stored in the GroupDatabase as an array of Group objects.
`Group[]`
XMLGroupDatabase.`groups()`
Returns all wiki groups that are stored in the GroupDatabase as an array of Group objects.
`Group`
DefaultGroupManager.`parseGroup(String name, String memberLine, boolean create)`
Extracts group name and members from passed parameters and populates an existing Group with them.
`Group`
GroupManager.`parseGroup(String name, String memberLine, boolean create)`
Extracts group name and members from passed parameters and populates an existing Group with them.
`default Group`
GroupManager.`parseGroup(Context context, boolean create)`
Extracts group name and members from the HTTP request and populates an existing Group with them.
Methods in org.apache.wiki.auth.authorize with parameters of type Group
Modifier and Type
Method
Description
`void`
GroupDatabase.`delete(Group group)`
Looks up and deletes a `Group` from the group database.
`void`
JDBCGroupDatabase.`delete(Group group)`
Looks up and deletes a `Group` from the group database.
`void`
XMLGroupDatabase.`delete(Group group)`
Looks up and deletes a `Group` from the group database.
`void`
GroupDatabase.`save(Group group, Principal modifier)`
Saves a Group to the group database.
`void`
JDBCGroupDatabase.`save(Group group, Principal modifier)`
Saves a Group to the group database.
`void`
XMLGroupDatabase.`save(Group group, Principal modifier)`
Saves a Group to the group database.
`void`
DefaultGroupManager.`setGroup(Session session, Group group)`
Saves the `Group` created by a user in a wiki session.
`void`
GroupManager.`setGroup(Session session, Group group)`
Saves the `Group` created by a user in a wiki session.
`void`
DefaultGroupManager.`validateGroup(Context context, Group group)`
Validates a Group, and appends any errors to the session errors list.
`void`
GroupManager.`validateGroup(Context context, Group group)`
Validates a Group, and appends any errors to the session errors list.